Subject: bug#16017: 24.3.50; windmove is broken

From: Dmitry Gutov <[email-masked]>
Date: Mon, 02 Dec 2013 12:29:18 +0200

On 02.12.2013 09:38, martin rudalics wrote:
> In `window-in-direction' I now use `window-pixel-edges' instead of
> `window-edges'.  Would doing the same in windmove.el fix it?

It doesn't. If I replace both occurrences of `window-edges' with 
`window-pixel-edges', the only windmove command that works is 
`windmove-down'. I've also tried replacing `window-inside-edges' with 
`window-inside-pixel-edges' and `posn-col-row' with `posn-x-y'.

What does help, is changing `windmove-window-distance-delta' from 1 to 
2. So the problem is likely to do with off-by-one errors in `window-edges'.